Bug 80649 - Frame context menu appears on picture when anchored as character, when context menu is started immediately after another picture was selected
Summary: Frame context menu appears on picture when anchored as character, when contex...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu Writer-Images
  Show dependency treegraph
 
Reported: 2014-06-28 20:42 UTC by OfficeUser
Modified: 2021-10-12 03:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Steps to reproduce (243.79 KB, application/vnd.oasis.opendocument.text)
2014-06-28 20:42 UTC, OfficeUser
Details
screenshot of context menu (145.56 KB, image/png)
2014-06-29 02:48 UTC, Yousuf Philips (jay) (retired)
Details
TestKit2.odt (195.87 KB, application/vnd.oasis.opendocument.text)
2014-06-29 11:23 UTC, OfficeUser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2014-06-28 20:42:22 UTC
Created attachment 101938 [details]
Steps to reproduce

See attached document Issue2.odt for steps to reproduce.

Found in
Version: 4.2.4.2
Build-ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Comment 1 Yousuf Philips (jay) (retired) 2014-06-29 02:47:41 UTC
Confirmed in Linux Mint in 3.3.0, 4.2.5 and 4.3.0.

Steps:
1) open blank doc in writer
2) add two pictures
3) set anchor on picture 2 to 'as character'
4) select picture 1 with left or right click
5) right-click on picture 2
Comment 2 Yousuf Philips (jay) (retired) 2014-06-29 02:48:19 UTC
Created attachment 101955 [details]
screenshot of context menu
Comment 3 Cor Nouws 2014-06-29 10:55:29 UTC
Hi guys,

One is a picture and the other a drawing object :)
So the different context menu's are OK.
Ciao,
Cor
Comment 4 OfficeUser 2014-06-29 11:20:32 UTC
Hi Cor,

please be more carefully in future about closing issues. Describing bugs is sometimes time consuming.

It is a bug. I have attached TestKit2.odt which contains two bitmaps.
Comment 5 OfficeUser 2014-06-29 11:21:53 UTC
@Cor:
Also note that the correct content menu appears if no other picture has been selected before. Further on drawing objects aren't frames.
Comment 6 OfficeUser 2014-06-29 11:23:24 UTC
Created attachment 101970 [details]
TestKit2.odt
Comment 7 Cor Nouws 2014-06-29 16:46:06 UTC
Hi officeuser:

Apologies, I was too fast!

Pls note, when I rightclick the first picture, then click in a paragraph and then rightclick the second picture, the proper context menu appears. When the picture is anchored as character indeed.

Cheers,
Cor
Comment 8 QA Administrators 2016-09-20 10:32:36 UTC Comment hidden (obsolete)
Comment 9 OfficeUser 2016-09-24 20:01:27 UTC
I still see the bug with build 5.2.1.2. (Tested OS: Linux)
Comment 10 Thomas Lendo 2017-03-29 11:46:47 UTC
Still there in 5.3.1.2.

Pictures in frames (e.g. pictures with caption) are affected too because they are automatically converted to "as character".
Comment 11 Thomas Lendo 2017-09-19 12:56:59 UTC
New(?) behavior in Version: 5.4.2.1 (x64)
Build-ID: dfa67a98bede79c671438308dc9036d50465d2cb
CPU-Threads: 8; Betriebssystem: Windows 6.19; UI-Render: Standard

Picture dialog is named Frame when opened on picture immediately after clicking on the surrounded frame.

Steps:
1) open blank doc in Writer
2) add two pictures
3) add a caption to picture 2 (a frame will be added around it)
4) select picture 1 with left or right click
5) right-click on picture 2 and open the properties -> right dialog title
6) select frame of picture 2 with left or right click
7) right-click on picture 2 and open the properties -> FALSE dialog title

With the steps in comment 1, the right dialog title (Picture) will be shown.
Comment 12 QA Administrators 2018-09-20 02:51:34 UTC Comment hidden (obsolete)
Comment 13 Thomas Lendo 2018-09-20 07:09:57 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 18c5089df091bddeb8c2dc339776671964389040
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-12_23:24:12
Locale: de-AT (de_AT); Calc: CL
Comment 14 OfficeUser 2018-10-06 10:55:41 UTC
Still reproducible with:
Version: 6.1.2.1
Build-ID: 1:6.1.2~rc1-0ubuntu0.14.04.4
CPU-Threads: 8; BS: Linux 4.4; UI-Render: Standard; VCL: gtk2; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 15 QA Administrators 2019-10-07 03:01:00 UTC Comment hidden (obsolete)
Comment 16 Thomas Lendo 2019-10-12 19:34:05 UTC
Still repro with Version: 6.3.2.2 (x64)
Build-ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; VCL: win;
Comment 17 QA Administrators 2021-10-12 03:53:59 UTC
Dear OfficeUser,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug